Subject: bug#56288: closed (Re: bug#56288: Pitivi can't be started)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Jul 2022 16:23:02 +0000

Your bug report

#56288: Pitivi can't be started

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56288: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56288
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56288: Pitivi can't be started
From: Maxim Cournoyer <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked], Liliana Marie Prikler <[email-masked]>, Christian Miller <[email-masked]>
Date: Thu, 07 Jul 2022 12:21:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Josselin Poiret <[email-masked]> writes:

> Hello Lily and Christian,
>
> This is unfortunately the usual gdk-pixbuf SVG loader not being found,
> since it is part of librsvg.  Some details are described in [1] already,
> but to summarize:  we need to propagate gdk-pixbuf so that the
> search-path GDK_PIXBUF_MODULE_FILE is properly set for the profile.
>
> Hence, I can reproduce the issue with
>
> guix shell --pure pitivi -- pitivi
>
>
> but the following launches pitivi properly (didn't check further)
>
> guix shell --pure pitivi gdk-pixbuf hicolor-icon-theme adwaita-icon-theme -- pitivi
>
> I think it's very impractical that we have to do this for all packages
> that wish to load SVG files via gdk-pixbuf, because it's technical and
> not a concern that upstream developers document, since they don't
> encounter such behavior.

Agreed; on the other hand it's not much more impractical than having to
propagate manually the icons, albeit harder to discover.  An easy
solution is to propagate librsvg, which I did in 47f0b3ad14.  I've also
updated Pitivi to its latest release in the following commit.

Closing,

Thanks!

Maxim

Subject: Pitivi can't be started
From: Christian Miller <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 28 Jun 2022 17:52:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Running the command pitivi results to the following output:

** (gst-plugin-scanner:21018): CRITICAL **: 19:44:14.963: pygobject initialization failedTraceback (most recent call last):
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/bin/.pitivi-real", line 172, in <module>

_run_pitivi()
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/bin/.pitivi-real", line 143, in _run_pitivi
from pitivi import application
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/lib/pitivi/python/pitivi/application.py", line 32, in <module>

from pitivi.mainwindow import MainWindow
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/lib/pitivi/python/pitivi/mainwindow.py", line 29, in <module>

from pitivi.editorperspective import EditorPerspective
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/lib/pitivi/python/pitivi/editorperspective.py", line 30, in <module>

from pitivi.dialogs.missingasset import MissingAssetDialog
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/lib/pitivi/python/pitivi/dialogs/missingasset.py", line 24, in <module>

from pitivi.medialibrary import AssetThumbnail
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/lib/pitivi/python/pitivi/medialibrary.py", line 255, in <module>

class AssetThumbnail(GObject.Object, Loggable):
File "/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/lib/pitivi/python/pitivi/medialibrary.py", line 280, in AssetThumbnail
EMBLEMS[status] = GdkPixbuf.Pixbuf.new_from_file_at_size(
gi.repository.GLib.GError: gdk-pixbuf-error-quark: Couldn’t recognize the image file format for file “/gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0/share/pitivi/pixmaps/asset-proxied.svg” (3)

Package information:

pitivi 0.999.0-2021.05.0 out /gnu/store/qzlwacdsvswq2ahayd3p6iail5n3rpwk-pitivi-0.999.0-2021.05.0